export { ApigCustomDomainArgs, ApigCustomDomainState } from "./apigCustomDomain";
export type ApigCustomDomain = import("./apigCustomDomain").ApigCustomDomain;
export declare const ApigCustomDomain: typeof import("./apigCustomDomain").ApigCustomDomain;
export { ApigGatewayArgs, ApigGatewayState } from "./apigGateway";
export type ApigGateway = import("./apigGateway").ApigGateway;
export declare const ApigGateway: typeof import("./apigGateway").ApigGateway;
export { ApigGatewayServiceArgs, ApigGatewayServiceState } from "./apigGatewayService";
export type ApigGatewayService = import("./apigGatewayService").ApigGatewayService;
export declare const ApigGatewayService: typeof import("./apigGatewayService").ApigGatewayService;
export { ApigRouteArgs, ApigRouteState } from "./apigRoute";
export type ApigRoute = import("./apigRoute").ApigRoute;
export declare const ApigRoute: typeof import("./apigRoute").ApigRoute;
export { ApigUpstreamArgs, ApigUpstreamState } from "./apigUpstream";
export type ApigUpstream = import("./apigUpstream").ApigUpstream;
export declare const ApigUpstream: typeof import("./apigUpstream").ApigUpstream;
export { ApigUpstreamSourceArgs, ApigUpstreamSourceState } from "./apigUpstreamSource";
export type ApigUpstreamSource = import("./apigUpstreamSource").ApigUpstreamSource;
export declare const ApigUpstreamSource: typeof import("./apigUpstreamSource").ApigUpstreamSource;
export { ApigUpstreamVersionArgs, ApigUpstreamVersionState } from "./apigUpstreamVersion";
export type ApigUpstreamVersion = import("./apigUpstreamVersion").ApigUpstreamVersion;
export declare const ApigUpstreamVersion: typeof import("./apigUpstreamVersion").ApigUpstreamVersion;
export { CustomDomainsArgs, CustomDomainsResult, CustomDomainsOutputArgs } from "./customDomains";
export declare const customDomains: typeof import("./customDomains").customDomains;
export declare const customDomainsOutput: typeof import("./customDomains").customDomainsOutput;
export { GatewayServicesArgs, GatewayServicesResult, GatewayServicesOutputArgs } from "./gatewayServices";
export declare const gatewayServices: typeof import("./gatewayServices").gatewayServices;
export declare const gatewayServicesOutput: typeof import("./gatewayServices").gatewayServicesOutput;
export { GatewaysArgs, GatewaysResult, GatewaysOutputArgs } from "./gateways";
export declare const gateways: typeof import("./gateways").gateways;
export declare const gatewaysOutput: typeof import("./gateways").gatewaysOutput;
export { GetCustomDomainsArgs, GetCustomDomainsResult, GetCustomDomainsOutputArgs } from "./getCustomDomains";
export declare const getCustomDomains: typeof import("./getCustomDomains").getCustomDomains;
export declare const getCustomDomainsOutput: typeof import("./getCustomDomains").getCustomDomainsOutput;
export { GetGatewayServicesArgs, GetGatewayServicesResult, GetGatewayServicesOutputArgs } from "./getGatewayServices";
export declare const getGatewayServices: typeof import("./getGatewayServices").getGatewayServices;
export declare const getGatewayServicesOutput: typeof import("./getGatewayServices").getGatewayServicesOutput;
export { GetGatewaysArgs, GetGatewaysResult, GetGatewaysOutputArgs } from "./getGateways";
export declare const getGateways: typeof import("./getGateways").getGateways;
export declare const getGatewaysOutput: typeof import("./getGateways").getGatewaysOutput;
export { GetRoutesArgs, GetRoutesResult, GetRoutesOutputArgs } from "./getRoutes";
export declare const getRoutes: typeof import("./getRoutes").getRoutes;
export declare const getRoutesOutput: typeof import("./getRoutes").getRoutesOutput;
export { GetUpstreamSourcesArgs, GetUpstreamSourcesResult, GetUpstreamSourcesOutputArgs } from "./getUpstreamSources";
export declare const getUpstreamSources: typeof import("./getUpstreamSources").getUpstreamSources;
export declare const getUpstreamSourcesOutput: typeof import("./getUpstreamSources").getUpstreamSourcesOutput;
export { GetUpstreamVersionsArgs, GetUpstreamVersionsResult, GetUpstreamVersionsOutputArgs } from "./getUpstreamVersions";
export declare const getUpstreamVersions: typeof import("./getUpstreamVersions").getUpstreamVersions;
export declare const getUpstreamVersionsOutput: typeof import("./getUpstreamVersions").getUpstreamVersionsOutput;
export { GetUpstreamsArgs, GetUpstreamsResult, GetUpstreamsOutputArgs } from "./getUpstreams";
export declare const getUpstreams: typeof import("./getUpstreams").getUpstreams;
export declare const getUpstreamsOutput: typeof import("./getUpstreams").getUpstreamsOutput;
export { RoutesArgs, RoutesResult, RoutesOutputArgs } from "./routes";
export declare const routes: typeof import("./routes").routes;
export declare const routesOutput: typeof import("./routes").routesOutput;
export { UpstreamSourcesArgs, UpstreamSourcesResult, UpstreamSourcesOutputArgs } from "./upstreamSources";
export declare const upstreamSources: typeof import("./upstreamSources").upstreamSources;
export declare const upstreamSourcesOutput: typeof import("./upstreamSources").upstreamSourcesOutput;
export { UpstreamVersionsArgs, UpstreamVersionsResult, UpstreamVersionsOutputArgs } from "./upstreamVersions";
export declare const upstreamVersions: typeof import("./upstreamVersions").upstreamVersions;
export declare const upstreamVersionsOutput: typeof import("./upstreamVersions").upstreamVersionsOutput;
export { UpstreamsArgs, UpstreamsResult, UpstreamsOutputArgs } from "./upstreams";
export declare const upstreams: typeof import("./upstreams").upstreams;
export declare const upstreamsOutput: typeof import("./upstreams").upstreamsOutput;
